Virtualization Plugins

Expand all | Collapse all

Error

  • 1.  Error

    Posted 4 days ago
    Hello,
    trying SDK plugins by running
    - dvp init -n first_plugin -s STAGED
    - dvp build
    - dvp upload -e <engine> -u <user_engine>
    this error appears:
    Details: {u'type': {u'action': None, u'diagnoses': None, u'commandOutput': None, u'details': u'Invalid object type "Plugin".', u'id': u'exception.validation.object.type.invalid'}}
    Action: Check your input parameters and try again.

    How do i solve the problem?
    Thank you,
    Eugenio


    ------------------------------
    Eugenio P.
    Community Member
    Accenture
    ------------------------------


  • 2.  RE: Error

    Posted 4 days ago
    Hi Eugenio,

    The error message makes me suspect that you're probably using an older version of the Delphix Engine that does not support SDK-built plugins. I'd recommend checking your engine version and making sure you're up-to-date.

    The first release of the engine to support SDK plugins was 5.3.5 
    https://docs.delphix.com/docs/release-information/release-notes-5-3-x/new-features-5-3-x#NewFeatures(5.3.x)-Release5.3.5


    ------------------------------
    Tom Walsh
    Software Engineer
    Delphix
    ------------------------------



  • 3.  RE: Error

    Posted 4 days ago
    Hi Tom, 
    the version Engine Delphix is "Dynamic Data Platform 5.3.5.0" 
    Is it a Problem?

    Thanks,
    Eugenio


    ------------------------------
    Eugenio '-
    Community Member
    Accenture
    ------------------------------



  • 4.  RE: Error

    Posted 4 days ago
    Hi Eugenio,

    Version 5.3.5.0 is supported so that is not the problem. Could you do two things?

    1) Run "dvp --version" and paste the output here
    2) Run "cat plugin_config.yml" for your plugin and paste the output here

    Thanks!

    - Grant

    ------------------------------
    Grant Magdanz
    Senior Member of Technical Staff II
    Delphix
    ------------------------------



  • 5.  RE: Error

    Posted 3 days ago
    Hi Grant,
    1) dvp, version 1.0.0
    2) id: 0088ce1d-fe52-4565-8c0a-302c3cb82118
    name: test
    version: 0.1.0
    language: PYTHON27
    hostTypes:
    - UNIX
    pluginType: STAGED
    entryPoint: plugin_runner:plugin
    srcDir: src
    schemaFile: schema.json

    Thanks,
    Eugenio

    ------------------------------
    Eugenio '-
    Community Member
    Accenture
    ------------------------------



  • 6.  RE: Error

    Posted 3 days ago
    Hi Eugenio,

    Thanks for the information. I'm still not sure what is going on as those look correct. Can you do two more things for me? If we still can't figure it out, we'll find a time to get on a call.
    1) Can you reinstall dvp by running "pip uninstall dvp; pip install dvp==1.0.0"?
    2) If that doesn't resolve the issue, can you get a support bundle from the Delphix Engine you're using and email (if it isn't too large) to virtualization-plugins@delphix.com? You can get instructions on creating a support bundle here.

    Thanks for the patience.

    - Grant

    ------------------------------
    Grant Magdanz
    Senior Member of Technical Staff II
    Delphix
    ------------------------------